import type { Cluster } from 'cluster';
import { ArchiverReceipt } from '../dbstore/receipts';
import { ReceiptVerificationResult } from '../Data/Collector';
import { StateManager } from '@shardeum-foundation/lib-types';
export interface ChildMessageInterface {
    type: string;
    data: {
        stringifiedReceipt?: string;
        requiredSignatures?: number;
        success?: boolean;
        err?: string;
        txId?: string;
        timestamp?: number;
        verificationResult?: ReceiptVerificationResult;
        cycle?: number;
        shardValues?: StateManager.shardFunctionTypes.CycleShardData;
    };
}
export declare let receivedReceiptCount: number;
export declare let verifiedReceiptCount: number;
export declare let successReceiptCount: number;
export declare let failureReceiptCount: number;
export declare const setupWorkerProcesses: (cluster: Cluster) => void;
export declare const offloadReceipt: (txId: string, timestamp: number, requiredSignatures: number, receipt: ArchiverReceipt) => Promise<ReceiptVerificationResult>;
